[2/4] expat: remove old workaround for expat tarball

Message ID 20180206115954.1780-2-ross.burton@intel.com
State New
Headers show
Series
  • [1/4] expat: merge bb and inc
Related show

Commit Message

Ross Burton Feb. 6, 2018, 11:59 a.m.
Back in 2010 the expat 2.0.1 tarball wouldn't unpack correctly with old gzip
releases (prior to 1.4).  The fix was to explicitly depend on gzip-native to use
our binary instead of the host[1].

We don't ship expat 2.0.1 anymore, and even Centos 7 ships gzip 1.5, so this
workaround can be removed.

[1] oe-core 0ff62b0462f3f64672bd4704de9a192eb1a730d1

Signed-off-by: Ross Burton <ross.burton@intel.com>

---
 meta/recipes-core/expat/expat_2.2.5.bb | 5 -----
 1 file changed, 5 deletions(-)

-- 
2.11.0

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Patch

diff --git a/meta/recipes-core/expat/expat_2.2.5.bb b/meta/recipes-core/expat/expat_2.2.5.bb
index f7a5b36ac74..bce59298e5b 100644
--- a/meta/recipes-core/expat/expat_2.2.5.bb
+++ b/meta/recipes-core/expat/expat_2.2.5.bb
@@ -18,11 +18,6 @@  SRC_URI[sha256sum] = "d9dc32efba7e74f788fcc4f212a43216fc37cf5f23f4c2339664d47335
 
 inherit autotools lib_package
 
-# This package uses an archive format known to have issue with some
-# versions of gzip
-DEPENDS += "pigz-native"
-do_unpack[depends] += "pigz-native:do_populate_sysroot"
-
 do_configure_prepend () {
 	rm -f ${S}/conftools/libtool.m4
 }